# hy-icon

<!-- Auto Generated Below -->

## Properties

| Property | Attribute | Description | Type     | Default     |
| -------- | --------- | ----------- | -------- | ----------- |
| `fill`   | `fill`    |             | `string` | `'black'`   |
| `icon`   | `icon`    |             | `string` | `undefined` |
| `size`   | `size`    |             | `number` | `20`        |

## Dependencies

### Used by

- [hy-accordion-item](../accordion-item)
- [hy-breadcrumbs](../hy-breadcrumbs)
- [hy-button](../button)
- [hy-checkbox](../hy-checkbox)
- [hy-cta-button](../cta-button)
- [hy-cta-link](../cta-link)
- [hy-desktop-menu-links](../site-header/hy-desktop-menu-links)
- [hy-dropdown](../hy-dropdown)
- [hy-dropdown-panel-item](../hy-dropdown)
- [hy-filter-group-item](../hy-filter-group)
- [hy-filter-visibility-tool-reset](../hy-filter-visibility-tool)
- [hy-filter-visibility-tool-toggle](../hy-filter-visibility-tool)
- [hy-footer-action](../footer/hy-footer-action)
- [hy-footer-base](../footer/hy-footer-base)
- [hy-footer-link-item](../footer/hy-footer-link-item)
- [hy-introduction](../hy-introduction)
- [hy-link-box](../link-box)
- [hy-menu-item](../navigation/menu-item)
- [hy-menu-language](../navigation/menu-language)
- [hy-menu-mobile-breadcrumb](../navigation/menu-mobile-breadcrumb)
- [hy-quote](../hy-quote)
- [hy-search-field](../hy-search-field)
- [hy-shortcuts](../hy-shortcuts)
- [hy-site-header](../site-header)
- [hy-site-logo](../site-header/site-logo)
- [hy-site-search](../site-header/site-search)
- [hy-tabs](../hy-tabs)
- [hy-video](../hy-video)

### Graph

```mermaid
graph TD;
  hy-accordion-item --> hy-icon
  hy-breadcrumbs --> hy-icon
  hy-button --> hy-icon
  hy-checkbox --> hy-icon
  hy-cta-button --> hy-icon
  hy-cta-link --> hy-icon
  hy-desktop-menu-links --> hy-icon
  hy-dropdown --> hy-icon
  hy-dropdown-panel-item --> hy-icon
  hy-filter-group-item --> hy-icon
  hy-filter-visibility-tool-reset --> hy-icon
  hy-filter-visibility-tool-toggle --> hy-icon
  hy-footer-action --> hy-icon
  hy-footer-base --> hy-icon
  hy-footer-link-item --> hy-icon
  hy-introduction --> hy-icon
  hy-link-box --> hy-icon
  hy-menu-item --> hy-icon
  hy-menu-language --> hy-icon
  hy-menu-mobile-breadcrumb --> hy-icon
  hy-quote --> hy-icon
  hy-search-field --> hy-icon
  hy-shortcuts --> hy-icon
  hy-site-header --> hy-icon
  hy-site-logo --> hy-icon
  hy-site-search --> hy-icon
  hy-tabs --> hy-icon
  hy-video --> hy-icon
  style hy-icon fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
